xcb_xkb_get_indicator_state(3)

NAME
xcb_xkb_get_indicator_state -

SYNOPSIS
#include <xcb/xkb.h>

  Request function

xcb_xkb_get_indicator_state_cookie_t xcb_xkb_get_indicator_state(xcb_connection_t *conn, xcb_xkb_device_spec_t deviceSpec);

  Reply datastructure

typedef struct xcb_xkb_get_indicator_state_reply_t {
    uint8_t  response_type;
    uint8_t  deviceID;
    uint16_t sequence;
    uint32_t length;
    uint32_t state;
    uint8_t  pad0[20];
} xcb_xkb_get_indicator_state_reply_t;

  Reply function

xcb_xkb_get_indicator_state_reply_t *xcb_xkb_get_indicator_state_reply(xcb_connection_t *conn, xcb_xkb_get_indicator_state_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

deviceSpec
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_XKB_GET_INDICATOR_STATE. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

deviceID
    TODO: NOT YET DOCUMENTED.

state
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_xkb_get_indicator_state_cookie_t. Errors have to be handled when calling the reply function xcb_xkb_get_indicator_state_reply.

If you want to handle errors in the event loop instead, use xcb_xkb_get_indicator_state_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xkb.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.